summaryrefslogtreecommitdiff
path: root/oh-my-zsh/plugins/kubectx/kubectx.plugin.zsh
diff options
context:
space:
mode:
authorAditya <bluenerd@protonmail.com>2023-02-27 20:04:56 +0530
committerAditya <bluenerd@protonmail.com>2023-02-27 20:04:56 +0530
commitedc449275b6c04445f58b108ca0937a87c1e8430 (patch)
tree9fd484d58145b616f29a78857cc0b1c8b1c18f05 /oh-my-zsh/plugins/kubectx/kubectx.plugin.zsh
parent6f5424ca96c4221ef433f545642669e9c104d0ed (diff)
add zsh
Diffstat (limited to 'oh-my-zsh/plugins/kubectx/kubectx.plugin.zsh')
-rw-r--r--oh-my-zsh/plugins/kubectx/kubectx.plugin.zsh13
1 files changed, 13 insertions, 0 deletions
diff --git a/oh-my-zsh/plugins/kubectx/kubectx.plugin.zsh b/oh-my-zsh/plugins/kubectx/kubectx.plugin.zsh
new file mode 100644
index 0000000..6096fee
--- /dev/null
+++ b/oh-my-zsh/plugins/kubectx/kubectx.plugin.zsh
@@ -0,0 +1,13 @@
+typeset -g -A kubectx_mapping
+
+function kubectx_prompt_info() {
+ (( $+commands[kubectl] )) || return
+
+ local current_ctx=$(kubectl config current-context 2> /dev/null)
+
+ [[ -n "$current_ctx" ]] || return
+
+ # use value in associative array if it exists
+ # otherwise fall back to the context name
+ echo "${kubectx_mapping[$current_ctx]:-${current_ctx:gs/%/%%}}"
+}